summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'x11-terms/terminator')
-rw-r--r--x11-terms/terminator/Manifest2
-rw-r--r--x11-terms/terminator/files/0.90-without-icon-cache.patch11
-rw-r--r--x11-terms/terminator/files/0.93-session.patch13
-rw-r--r--x11-terms/terminator/files/0.94-session.patch13
-rw-r--r--x11-terms/terminator/files/terminator-0.97-brightness.patch35
-rw-r--r--x11-terms/terminator/metadata.xml20
-rw-r--r--x11-terms/terminator/terminator-0.96-r1.ebuild53
-rw-r--r--x11-terms/terminator/terminator-0.96-r2.ebuild48
-rw-r--r--x11-terms/terminator/terminator-0.96-r3.ebuild61
-rw-r--r--x11-terms/terminator/terminator-0.97-r1.ebuild64
-rw-r--r--x11-terms/terminator/terminator-0.97.ebuild63
11 files changed, 383 insertions, 0 deletions
diff --git a/x11-terms/terminator/Manifest b/x11-terms/terminator/Manifest
new file mode 100644
index 00000000000..1f8d777adf7
--- /dev/null
+++ b/x11-terms/terminator/Manifest
@@ -0,0 +1,2 @@
+DIST terminator-0.97.tar.gz 5025337 SHA256 0281b568913f392eec92ebee3c6fea15afe4f4e01869bad38d9efe0eb305be49 SHA512 ac1dfb5c014323ddd3b3347645ac26083d96fe8e895d31c5992d185863d40b5f1a67c5db1315b48f483d9511faeb1adb16133a4aef1e1f178656f3437d4a7470 WHIRLPOOL 9d83bd34e1018dc535af573af27d08b425def1af5498de7be793e7c90298d0140c2e78479bae4264fa7315bcfa9b36d2d464f822b58af0d7452802a3cfc18583
+DIST terminator_0.96.tar.gz 264226 SHA256 d708c783c36233fcafbd0139a91462478ae40f5cf696ef4acfcaf5891a843201 SHA512 f74b5887ea7a11bf5c6866eae5e879a60badd81dd5056cfd0fdb5e4940b81917e6cd05ea50b56a9c7beba8e9fc9e842b25d3c8ad3ed7b574b72f43a1d4fc6c5e WHIRLPOOL 53fed7d74a3a76e7cca01cb0ab7f1780f981b81aec9606a1f4416c3e786773aca41abac174e40f1b49b9285edc9d7c8fcf599395c09a9a23ec3ec4d745e35b55
diff --git a/x11-terms/terminator/files/0.90-without-icon-cache.patch b/x11-terms/terminator/files/0.90-without-icon-cache.patch
new file mode 100644
index 00000000000..c7862def3ea
--- /dev/null
+++ b/x11-terms/terminator/files/0.90-without-icon-cache.patch
@@ -0,0 +1,11 @@
+--- setup.py.orig 2009-08-12 22:22:53.000000000 -0400
++++ setup.py 2009-08-12 22:22:57.000000000 -0400
+@@ -25,7 +25,7 @@
+
+ def __init__ (self, *args):
+ self.without_gettext = False
+- self.without_icon_cache = False
++ self.without_icon_cache = True
+ Distribution.__init__(self, *args)
+
+
diff --git a/x11-terms/terminator/files/0.93-session.patch b/x11-terms/terminator/files/0.93-session.patch
new file mode 100644
index 00000000000..c904a8ca494
--- /dev/null
+++ b/x11-terms/terminator/files/0.93-session.patch
@@ -0,0 +1,13 @@
+diff --git a/terminatorlib/terminator.py b/terminatorlib/terminator.py
+index 34726cb..5adb7e7 100755
+--- a/terminatorlib/terminator.py
++++ b/terminatorlib/terminator.py
+@@ -60,8 +60,6 @@ class Terminator(Borg):
+ self.doing_layout = False
+ if not self.pid_cwd:
+ self.pid_cwd = get_pid_cwd()
+- if self.gnome_client is None:
+- self.attempt_gnome_client()
+
+ def attempt_gnome_client(self):
+ """Attempt to find a GNOME Session to register with"""
diff --git a/x11-terms/terminator/files/0.94-session.patch b/x11-terms/terminator/files/0.94-session.patch
new file mode 100644
index 00000000000..4583b0cff7b
--- /dev/null
+++ b/x11-terms/terminator/files/0.94-session.patch
@@ -0,0 +1,13 @@
+diff --git a/terminatorlib/terminator.py b/terminatorlib/terminator.py
+index 1686006..960e53d 100755
+--- a/terminatorlib/terminator.py
++++ b/terminatorlib/terminator.py
+@@ -61,8 +61,6 @@ class Terminator(Borg):
+ self.doing_layout = False
+ if not self.pid_cwd:
+ self.pid_cwd = get_pid_cwd()
+- if self.gnome_client is None:
+- self.attempt_gnome_client()
+
+ def set_origcwd(self, cwd):
+ """Store the original cwd our process inherits"""
diff --git a/x11-terms/terminator/files/terminator-0.97-brightness.patch b/x11-terms/terminator/files/terminator-0.97-brightness.patch
new file mode 100644
index 00000000000..9e35d7d593f
--- /dev/null
+++ b/x11-terms/terminator/files/terminator-0.97-brightness.patch
@@ -0,0 +1,35 @@
+=== modified file 'terminatorlib/prefseditor.py'
+--- terminatorlib/prefseditor.py 2013-02-16 00:10:45 +0000
++++ terminatorlib/prefseditor.py 2013-05-11 22:03:46 +0000
+@@ -923,6 +923,8 @@
+
+ def on_inactive_color_offset_change_value(self, widget, scroll, value):
+ """Inactive color offset setting changed"""
++ if value > 1.0:
++ value = 1.0
+ self.config['inactive_color_offset'] = round(value, 2)
+ self.config.save()
+
+
+=== modified file 'terminatorlib/terminal.py'
+--- terminatorlib/terminal.py 2013-02-15 15:10:55 +0000
++++ terminatorlib/terminal.py 2013-05-11 22:03:46 +0000
+@@ -621,11 +621,17 @@
+
+ factor = self.config['inactive_color_offset']
+ self.fgcolor_inactive = self.fgcolor_active.copy()
++ dbg(("fgcolor_inactive set to: RGB(%s,%s,%s)", getattr(self.fgcolor_inactive, "red"),
++ getattr(self.fgcolor_inactive, "green"),
++ getattr(self.fgcolor_inactive, "blue")))
+
+ for bit in ['red', 'green', 'blue']:
+ setattr(self.fgcolor_inactive, bit,
+ getattr(self.fgcolor_inactive, bit) * factor)
+
++ dbg(("fgcolor_inactive set to: RGB(%s,%s,%s)", getattr(self.fgcolor_inactive, "red"),
++ getattr(self.fgcolor_inactive, "green"),
++ getattr(self.fgcolor_inactive, "blue")))
+ colors = self.config['palette'].split(':')
+ self.palette_active = []
+ self.palette_inactive = []
+
diff --git a/x11-terms/terminator/metadata.xml b/x11-terms/terminator/metadata.xml
new file mode 100644
index 00000000000..0a689a803c0
--- /dev/null
+++ b/x11-terms/terminator/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>jlec@gentoo.org</email>
+ </maintainer>
+ <longdescription>
+ Much of the behaviour of Terminator is based on GNOME Terminal, and
+ we are adding more features from that as time goes by, but we also
+ want to extend out in different directions with useful features for
+ sysadmins and other users. If you have any suggestions, please file
+ wishlist bugs! (see below for the address)
+</longdescription>
+ <use>
+ <flag name="libnotify">Enables desktop notifications via<pkg>dev-python/notify-python</pkg></flag>
+ </use>
+ <upstream>
+ <remote-id type="launchpad">terminator</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/x11-terms/terminator/terminator-0.96-r1.ebuild b/x11-terms/terminator/terminator-0.96-r1.ebuild
new file mode 100644
index 00000000000..b3c31439ae1
--- /dev/null
+++ b/x11-terms/terminator/terminator-0.96-r1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+PYTHON_DEPEND="2"
+PYTHON_MODNAME="terminatorlib"
+SUPPORT_PYTHON_ABIS="1"
+RESTRICT_PYTHON_ABIS="3.*"
+
+inherit gnome2 distutils eutils
+
+DESCRIPTION="Multiple GNOME terminals in one window"
+HOMEPAGE="http://www.tenshu.net/p/terminator.html"
+SRC_URI="http://launchpad.net/${PN}/trunk/${PV}/+download/${PN}_${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="dbus gnome +libnotify"
+
+RDEPEND="
+ dev-libs/keybinder:0[python]
+ x11-libs/vte:0[python]
+ dbus? ( sys-apps/dbus )
+ gnome? (
+ dev-python/gconf-python
+ dev-python/libgnome-python
+ dev-python/pygobject:2
+ dev-python/pygtk:2
+ )
+ libnotify? ( dev-python/notify-python )"
+DEPEND="dev-util/intltool"
+
+src_prepare() {
+ epatch \
+ "${FILESDIR}"/0.90-without-icon-cache.patch \
+ "${FILESDIR}"/0.94-session.patch
+ distutils_src_prepare
+}
+
+src_configure() { :; }
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ distutils_pkg_postinst
+}
+
+pkg_postrm() {
+ gnome2_pkg_postrm
+ distutils_pkg_postrm
+}
diff --git a/x11-terms/terminator/terminator-0.96-r2.ebuild b/x11-terms/terminator/terminator-0.96-r2.ebuild
new file mode 100644
index 00000000000..7658a80a4f5
--- /dev/null
+++ b/x11-terms/terminator/terminator-0.96-r2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+DISTUTILS_NO_PARALLEL_BUILD=true
+
+inherit gnome2 distutils-r1
+
+DESCRIPTION="Multiple GNOME terminals in one window"
+HOMEPAGE="http://www.tenshu.net/p/terminator.html"
+SRC_URI="http://launchpad.net/${PN}/trunk/${PV}/+download/${PN}_${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="dbus gnome +libnotify"
+
+RDEPEND="
+ dev-libs/keybinder:0[python]
+ x11-libs/vte:0[python]
+ dbus? ( sys-apps/dbus )
+ gnome? (
+ dev-python/gconf-python
+ dev-python/libgnome-python
+ dev-python/pygobject:2[${PYTHON_USEDEP}]
+ dev-python/pygtk:2[${PYTHON_USEDEP}]
+ )
+ libnotify? ( dev-python/notify-python[${PYTHON_USEDEP}] )"
+DEPEND="dev-util/intltool"
+
+python_prepare_all() {
+ local PATCHES=(
+ "${FILESDIR}"/0.90-without-icon-cache.patch
+ "${FILESDIR}"/0.94-session.patch
+ )
+ distutils-r1_python_prepare_all
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+}
+
+pkg_postrm() {
+ gnome2_pkg_postrm
+}
diff --git a/x11-terms/terminator/terminator-0.96-r3.ebuild b/x11-terms/terminator/terminator-0.96-r3.ebuild
new file mode 100644
index 00000000000..1bfb6f0ffdc
--- /dev/null
+++ b/x11-terms/terminator/terminator-0.96-r3.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+DISTUTILS_NO_PARALLEL_BUILD=true
+
+inherit gnome2 distutils-r1
+
+DESCRIPTION="Multiple GNOME terminals in one window"
+HOMEPAGE="http://www.tenshu.net/p/terminator.html"
+SRC_URI="http://launchpad.net/${PN}/trunk/${PV}/+download/${PN}_${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="dbus gnome +libnotify"
+
+RDEPEND="
+ dev-libs/keybinder:0[python]
+ x11-libs/vte:0[python]
+ dbus? ( sys-apps/dbus )
+ gnome? (
+ dev-python/gconf-python
+ dev-python/libgnome-python
+ dev-python/pygobject:2[${PYTHON_USEDEP}]
+ dev-python/pygtk:2[${PYTHON_USEDEP}]
+ )
+ libnotify? ( dev-python/notify-python[${PYTHON_USEDEP}] )"
+DEPEND="dev-util/intltool"
+
+python_prepare_all() {
+ local PATCHES=(
+ "${FILESDIR}"/0.90-without-icon-cache.patch
+ "${FILESDIR}"/0.94-session.patch
+ )
+
+ local i p
+ if [[ -n "${LINGUAS+x}" ]] ; then
+ pushd "${S}"/po > /dev/null
+ strip-linguas -i .
+ for i in *.po; do
+ if ! has ${i%.po} ${LINGUAS} ; then
+ rm ${i} || die
+ fi
+ done
+ popd > /dev/null
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+}
+
+pkg_postrm() {
+ gnome2_pkg_postrm
+}
diff --git a/x11-terms/terminator/terminator-0.97-r1.ebuild b/x11-terms/terminator/terminator-0.97-r1.ebuild
new file mode 100644
index 00000000000..0cce9db79cf
--- /dev/null
+++ b/x11-terms/terminator/terminator-0.97-r1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+DISTUTILS_NO_PARALLEL_BUILD=true
+
+inherit gnome2 distutils-r1
+
+DESCRIPTION="Multiple GNOME terminals in one window"
+HOMEPAGE="http://www.tenshu.net/p/terminator.html"
+SRC_URI="http://launchpad.net/${PN}/trunk/${PV}/+download/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="dbus gnome +libnotify"
+
+RDEPEND="
+ dev-libs/keybinder:0[python]
+ x11-libs/vte:0[python]
+ dbus? ( sys-apps/dbus )
+ gnome? (
+ dev-python/gconf-python
+ dev-python/libgnome-python
+ dev-python/pygobject:2[${PYTHON_USEDEP}]
+ dev-python/pygtk:2[${PYTHON_USEDEP}]
+ )
+ libnotify? ( dev-python/notify-python[${PYTHON_USEDEP}] )"
+DEPEND="dev-util/intltool"
+
+S="${WORKDIR}"/trunk
+
+python_prepare_all() {
+ local PATCHES=(
+ "${FILESDIR}"/0.90-without-icon-cache.patch
+ "${FILESDIR}"/0.94-session.patch
+ "${FILESDIR}"/${P}-brightness.patch
+ )
+
+ local i p
+ if [[ -n "${LINGUAS+x}" ]] ; then
+ pushd "${S}"/po > /dev/null
+ strip-linguas -i .
+ for i in *.po; do
+ if ! has ${i%.po} ${LINGUAS} ; then
+ rm ${i} || die
+ fi
+ done
+ popd > /dev/null
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+}
+
+pkg_postrm() {
+ gnome2_pkg_postrm
+}
diff --git a/x11-terms/terminator/terminator-0.97.ebuild b/x11-terms/terminator/terminator-0.97.ebuild
new file mode 100644
index 00000000000..f26ca8b914d
--- /dev/null
+++ b/x11-terms/terminator/terminator-0.97.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+DISTUTILS_NO_PARALLEL_BUILD=true
+
+inherit gnome2 distutils-r1
+
+DESCRIPTION="Multiple GNOME terminals in one window"
+HOMEPAGE="http://www.tenshu.net/p/terminator.html"
+SRC_URI="http://launchpad.net/${PN}/trunk/${PV}/+download/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="dbus gnome +libnotify"
+
+RDEPEND="
+ dev-libs/keybinder:0[python]
+ x11-libs/vte:0[python]
+ dbus? ( sys-apps/dbus )
+ gnome? (
+ dev-python/gconf-python
+ dev-python/libgnome-python
+ dev-python/pygobject:2[${PYTHON_USEDEP}]
+ dev-python/pygtk:2[${PYTHON_USEDEP}]
+ )
+ libnotify? ( dev-python/notify-python[${PYTHON_USEDEP}] )"
+DEPEND="dev-util/intltool"
+
+S="${WORKDIR}"/trunk
+
+python_prepare_all() {
+ local PATCHES=(
+ "${FILESDIR}"/0.90-without-icon-cache.patch
+ "${FILESDIR}"/0.94-session.patch
+ )
+
+ local i p
+ if [[ -n "${LINGUAS+x}" ]] ; then
+ pushd "${S}"/po > /dev/null
+ strip-linguas -i .
+ for i in *.po; do
+ if ! has ${i%.po} ${LINGUAS} ; then
+ rm ${i} || die
+ fi
+ done
+ popd > /dev/null
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+}
+
+pkg_postrm() {
+ gnome2_pkg_postrm
+}